-------------------------------------------------------------- 
--  Subject : DAO. Container object
--  Copyright (c) 2000 by A.Baranovsky
--------------------------------------------------------------

uses dao

class Container : DAOObject
  function "DAOObject"( N )
//Properties:
  function GetOwner()
  function PutOwner( AnOwner )
// Use GetProp and SetProp methods of DAOObject class to read/write 
// another properties of a Container object
end

implementation Container

  function "DAOObject"( X )
    SetRef( X.GetRef() )
  return Self()

  function GetOwner()
  return GetProp( 'Owner' )

  function PutOwner( AnOwner )
  return PutProp( 'Owner', AnOwner )
end

return