-------------------------------------------------------------- 
--  Subject : DAO. Document object
--  Copyright (c) 2000 by A.Baranovsky
--------------------------------------------------------------

uses dao

class Document : DAOObject
  function "DAOObject"( N )
  function CreateProperty()
//Properties:
  function GetOwner()
  function PutOwner( AnOwner )
// Use GetProp and SetProp methods of DAOObject class to read/write 
// another properties of a Container object
end

implementation Document

  function "DAOObject"( X )
    SetRef( X.GetRef() )
  return Self()

  function CreateProperty()
    object P : Property
    P.SetRef( Call( 'CreateProperty', [] ) )
  return P

  function GetOwner()
  return GetProp( 'Owner' )

  function PutOwner( AnOwner )
  return PutProp( 'Owner', AnOwner )
end

return