-------------------------------------------------------------- 
--  Subject : DAO. Field object
--  Copyright (c) 2000 by A.Baranovsky
--------------------------------------------------------------

uses dao

class Field : DAOObject
  function "DAOObject"( N )
  function CreateProperty()
  function AppendChunk( Source )
  function GetChunk( Offset, Numbytes )
//Properties:
  function Size()
  function FieldSize()
// Use GetProp and SetProp methods of DAOObject class to read/write 
// another properties of a Field object
end

implementation Field

  function "DAOObject"( X )
    SetRef( X.GetRef() )
  return Self()

  function CreateProperty()
    object P : Property
    P.SetRef( Call( 'CreateProperty', [] ) )
  return P

  function AppendChunk( Source )
  return Call( 'AppendChunk', [ Source ] )

  function GetChunk( Offset, Numbytes )
  return Call( 'GetChunk', [ Offset, Numbytes ] )

  function Size()
  return GetProp( 'Size' )

  function FieldSize()
  return GetProp( 'FieldSize' )
end

return