--------------------------------------------------------------    
--  Subject : Combinatorics: Generation of permutations
--  Copyright (c) 1999 by A.Baranovsky
--------------------------------------------------------------

class Permutation
  function Generate( N ) constructor
  function AntyLex( M )
  function Reverse( M )
end

implementation Permutation

  local P

  function Generate( N )
    P := array( N )
    for I:=1 to N do
      P[ I ] := I
    end
    AntyLex( N )
  return 0

  function AntyLex( M )
    if M = 1 then
      writeln( P )
    else
      for I:=1 to M do 
        AntyLex( M - 1 )
        if I < M then
          Swap( P[ I ], P[ M ] )
          Reverse( M - 1 )
        end
      end
    end
  return 0

  function Reverse( M )
    I := 1
    J := M
    while I < J do
      Swap( P[I], P[J] )
      Inc( I )
      Dec( J )
    end 
  return 0
end -- of Permutation class

-------  Main program -------------

object P : Permutation
P.Generate( 6 )

return