-------------------------------------------------------------- 
--  Subject : Lazy evaluation: simulation of "array of labels"
--  Copyright (c) 1999 by A.Baranovsky
--------------------------------------------------------------

function F1(X,Y)
  R := X + Y 
return R

function F2(X,Y)
  R := X - Y 
return R

function F3(X,Y)
  R := X * Y 
return R

------ Main program ------------

A := array( 3 )
A[1] := { |X,Y| F1(X,Y) }
A[2] := { |X,Y| F2(X,Y) }
A[3] := { |X,Y| F3(X,Y) }

repeat
  writeln( 'Input an integer number ( 1-3 ) or 0 to exit' )
  I := Val( readln() )
  writeln(I)

  if ( I >= 1 ) and ( I <= 3 ) then
    P1 := Random(100)
    P2 := Random(100)
    R := EvalObject( A[ I ], [ P1, P2 ] )
    writeln( 'function number ' + Str( I ) )
    writeln( '1th parameter '+  Str( P1 ) )
    writeln( '2th parameter '+  Str( P2 ) )
    writeln( 'Result ' + Str( R ) )
  end

until I = 0

return
