-------------------------------------------------------------- 
--  Subject : DAO. Demo program
--  Copyright (c) 2000 by A.Baranovsky
--------------------------------------------------------------

/*This example enumerates the Containers collection of the Northwind database
and the Properties collection of each Container object in the collection.*/

uses com, dao, daodb, daoengin, daocont

CoInitialize()

object DE : DBEngine
object DB : Database
object C : Container
object P : Property
object Containers, Properties : Collection

try

  DE.Init( 'DAO.DBEngine.36' )
  DB := DE.OpenDatabase( 'Northwind.mdb', dummy, dummy, dummy )

  Containers := DB[ 'Containers' ]

// Enumerate Containers collection.

  for I:=0 to Containers.Count() - 1 do
    C := Containers[ I ]
    writeln( 'Properties of ' + C.GetName() )
    Properties := C[ 'Properties' ]

// Enumerate Properties collection of each Container object.

    for J:=0 to Properties.Count() - 1 do
      P := Properties[ J ]
      writeln( '' )
      write( STR( J ) + ' ' + P.GetName() + ' ' + P.GetStrType() + ' ' )  
    end
    writeln('')
    writeln( 'Press Enter Key to continue' )
    Readln()
  end

finally
  CoUninitialize()
  writeln('')
  writeln( 'COM have closed' )
end

return
