-------------------------------------------------------------- 
--  Subject : DAO. Error object
--  Copyright (c) 2000 by A.Baranovsky
--------------------------------------------------------------

uses dao, daoengin

class Error : DAOObject
  function "DAOObject"( N )
  function Description()
  function HelpContext()
  function HelpFile()
  function Number()
  function Source()
end

implementation Error

  function "DAOObject"( X )
    SetRef( X.GetRef() )
  return Self()

  function Description()
  return GetProp( 'Description' )

  function HelpContext()
  return GetProp( 'HelpContext' )

  function HelpFile()
  return GetProp( 'HelpFile' )

  function Number()
  return GetProp( 'Number' )

  function Source()
  return GetProp( 'Source' )
end

return