-------------------------------------------------------------- 
--  Subject : DAO. Index object
--  Copyright (c) 2000 by A.Baranovsky
--------------------------------------------------------------

uses dao, daofield

class Index : DAOObject
  function "DAOObject"( X )
  function CreateField( FieldName, FieldType, FieldSize )
  function CreateProperty()
// Use GetProp and SetProp methods of DAOObject class to read/write 
// properties of an Index object
end

implementation Index

  function "DAOObject"( X )
    SetRef( X.GetRef() )
  return Self()

  function CreateField( FieldName, FieldType, FieldSize )
    object F : Field 
    F.SetRef( Call( 'CreateField', [ FieldName, FieldType, FieldSize ] ) )
  return F

  function CreateProperty()
    object P : Property
    P.SetRef( Call( 'CreateProperty', [] ) )
  return P
end

return