--------------------------------------------------------------    
--  Subject : Combinatorics: Generation of subsets ( Gray's code )
--  Copyright (c) 1999 by A.Baranovsky
--------------------------------------------------------------

function Generate( N )
  B := array( N )
  for I:=1 to N do 
    B[ I ] := 0
  end

  I := 0

  repeat
    writeln( B )
    Inc( I )
    P := 1
    J := I
    while Mod( J, 2 ) = 0 do
      J := J / 2
      Inc( P )
    end
    if P <= N then
      B[ P ] := 1 - B[ P ]
    end
  until P > N
return 0

------ Main program -------

Generate( 4 )

return