unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Virtcomp, Menus;

type
  TForm1 = class(TForm)
    VirtComp1: TVirtComp;
    VirtComp2: TVirtComp;
    VirtComp3: TVirtComp;
    VirtComp4: TVirtComp;
    Button1: TButton;
    MainMenu1: TMainMenu;
    Help1: TMenuItem;
    Virtlanguagemanual1: TMenuItem;
    ProgrammingwithVIRT1: TMenuItem;
    ComponentTVirtComp1: TMenuItem;
    N1: TMenuItem;
    Label1: TLabel;
    Label2: TLabel;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Button10: TButton;
    VirtComp5: TVirtComp;
    VirtComp8: TVirtComp;
    VirtComp9: TVirtComp;
    VirtComp10: TVirtComp;
    ExtensionoftheVIRTinterpreter1: TMenuItem;
    Button11: TButton;
    VirtComp6: TVirtComp;
    Button12: TButton;
    VirtComp7: TVirtComp;
    procedure Button1Click(Sender: TObject);
    procedure Virtlanguagemanual1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ProgrammingwithVIRT1Click(Sender: TObject);
    procedure ComponentTVirtComp1Click(Sender: TObject);
    procedure N1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure VirtComp9BeforeParsing(var Sender: TVirtComp);
    procedure ExtensionoftheVIRTinterpreter1Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button12Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  VirtComp1.Run;
end;

procedure TForm1.Virtlanguagemanual1Click(Sender: TObject);
begin
  Application.HelpContext(0);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Application.HelpFile := 'VIRT.HLP';
end;

procedure TForm1.ProgrammingwithVIRT1Click(Sender: TObject);
begin
  Application.HelpContext(2000);
end;

procedure TForm1.ComponentTVirtComp1Click(Sender: TObject);
begin
  Application.HelpContext(3000);
end;

procedure TForm1.N1Click(Sender: TObject);
begin
  ShowMessage( 'Component TVirtComp demo program' + #13#10 + #13#10 +
               'Copyright (c) 1999 by A.Baranovsky' + #13#10 +
               '           ab@iai.donetsk.ua' );
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  VirtComp2.Run;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  VirtComp3.Run;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  VirtComp4.Run;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  VirtComp5.Run;
end;

procedure TForm1.Button6Click(Sender: TObject);
var
  TempVirt : TVirtComp;
begin
  TempVirt := TVirtComp.Create( Self );
  TempVirt.ScriptFileName := 'fact1.w';

  if TempVirt.SaveBinProg then
    ShowMessage( 'File fact1.wb was created' );

  TempVirt.Free;
end;

procedure TForm1.Button7Click(Sender: TObject);
var
  TempVirt : TVirtComp;
begin
  TempVirt := TVirtComp.Create( Self );
  TempVirt.ScriptFileName := 'fact1.wb';
  TempVirt.LoadBinProg;
  TempVirt.Run;
  TempVirt.Free;
end;

procedure TForm1.Button8Click(Sender: TObject);
var
  Dummy : Variant;
begin
  VirtComp8.ExecFunction( 'Hanoi', [ 4, 'A', 'B', 'C' ], Dummy );
end;

procedure TForm1.Button9Click(Sender: TObject);
var
  Res : Variant;
begin
  VirtComp9.Run;
  VirtComp9.ExecFunction( 'Tan', [ 0.5 ], Res );
  VirtComp9.ExecFunction( 'writeln', [ Res ], Res );
end;

procedure _Tan;
var
  V : Variant;
begin
  V := RunVirtComp.PopVar;
  RunVirtComp.PushVar( Sin( V ) / Cos( V ) );
end;

procedure _CoTan;
var
  V : Variant;
begin
  V := RunVirtComp.PopVar;
  RunVirtComp.PushVar( Cos( V ) / Sin( V ) );
end;

procedure TForm1.VirtComp9BeforeParsing(var Sender: TVirtComp);
begin
  Sender.AppSystemFunction( 'Tan', 1, _Tan );
  Sender.AppSystemFunction( 'Cotan', 1, _Cotan );
end;

procedure TForm1.ExtensionoftheVIRTinterpreter1Click(Sender: TObject);
begin
  Application.HelpContext(4000);
end;

procedure TForm1.Button10Click(Sender: TObject);
begin
  VirtComp10.Run;
end;

procedure TForm1.Button11Click(Sender: TObject);
begin
  VirtComp6.Run;
end;

procedure TForm1.Button12Click(Sender: TObject);
var
  I, J, N : Integer;
  V : Variant;
begin
  N := 3;
  VirtComp7.SetVar( 'N', N );

  Randomize;
  for I:=1 to N do
    for J:=1 to N do
      VirtComp7.Params[(N-1)*I+J]:= Random(100) + 0.0;

  VirtComp7.Run;

  VirtComp7.GetVar( 'D', V );
  ShowMessage( FloatToStr( V ) );

  ShowMessage( FloatToStr( VirtComp7.Params[1] ) );
end;

end.
